public static final class ListConfigTrackRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
ListConfigTrackRequest.Builder |
acceptLanguage(String acceptLanguage)
The language of the response.
|
ListConfigTrackRequest |
build() |
ListConfigTrackRequest.Builder |
dataId(String dataId)
The ID of the configuration.
|
ListConfigTrackRequest.Builder |
endTs(Long endTs)
The end timestamp.
|
ListConfigTrackRequest.Builder |
group(String group)
The name of the configuration group.
|
ListConfigTrackRequest.Builder |
instanceId(String instanceId)
The ID of the instance.
|
ListConfigTrackRequest.Builder |
ip(String ip)
The IP address of the listener.
|
ListConfigTrackRequest.Builder |
namespaceId(String namespaceId)
The ID of the namespace.
|
ListConfigTrackRequest.Builder |
pageNum(Long pageNum)
The number of the page to return.
|
ListConfigTrackRequest.Builder |
pageSize(Long pageSize)
The number of entries to return on each page.
|
ListConfigTrackRequest.Builder |
requestPars(String requestPars)
The extended request parameters in the JSON format.
|
ListConfigTrackRequest.Builder |
reverse(Boolean reverse)
Specifies whether to enable reverse ordering.
|
ListConfigTrackRequest.Builder |
startTs(Long startTs)
The start timestamp.
|
public ListConfigTrackRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public ListConfigTrackRequest.Builder dataId(String dataId)
The ID of the configuration.
example:ballot
public ListConfigTrackRequest.Builder endTs(Long endTs)
The end timestamp. Unit: seconds.
This parameter is required.
example:1657178373
public ListConfigTrackRequest.Builder group(String group)
The name of the configuration group.
example:DEFAULT_GROUP
public ListConfigTrackRequest.Builder instanceId(String instanceId)
The ID of the instance.
This parameter is required.
example:mse_prepaid_public_cn-i7m2ne****
public ListConfigTrackRequest.Builder ip(String ip)
The IP address of the listener.
example:192.168.22.2
public ListConfigTrackRequest.Builder namespaceId(String namespaceId)
The ID of the namespace.
example:f3a510e2-df52-4fad-9815-42d8bc40****
public ListConfigTrackRequest.Builder pageNum(Long pageNum)
The number of the page to return.
This parameter is required.
example:1
public ListConfigTrackRequest.Builder pageSize(Long pageSize)
The number of entries to return on each page.
This parameter is required.
example:10
public ListConfigTrackRequest.Builder requestPars(String requestPars)
The extended request parameters in the JSON format.
example:{}
public ListConfigTrackRequest.Builder reverse(Boolean reverse)
Specifies whether to enable reverse ordering. Valid values:
true
public ListConfigTrackRequest.Builder startTs(Long startTs)
The start timestamp. Unit: seconds.
This parameter is required.
example:1671010148
public ListConfigTrackRequest build()
Copyright © 2026. All rights reserved.